MPD

- Main Page
- Data Structures
- Files

- File List
- Globals

Functions | Variables

# src/client.h File Reference

`#include <glib.h>`
`#include <stdbool.h>`
`#include <stddef.h>`
`#include <stdarg.h>`

Go to the source code of this file.

## Functions
void | client_manager_init (void)
void | client_manager_deinit (void)
void | client_new (int fd, const struct sockaddr *sa, size_t sa_length, int uid)
bool | client_is_expired (const struct client *client)
int | client_get_uid (const struct client *client)
| returns the uid of the client process, or a negative value if the uid is unknown
unsigned | client_get_permission (const struct client *client)
void | client_set_permission (struct client *client, unsigned permission)
void | client_puts (struct client *client, const char *s)
| Write a C string to the client.
void | client_vprintf (struct client *client, const char *fmt, va_list args)
| Write a printf-like formatted string to the client.
| G_GNUC_PRINTF (2, 3) void client_printf(struct client *client
| Write a printf-like formatted string to the client.
const char void | client_manager_idle_add (unsigned flags)
| Adds the specified idle flags to all clients and immediately sends notifications to all waiting clients.
bool | client_idle_wait (struct client *client, unsigned flags)
| Checks whether the client has pending idle flags.
## Variables
const char * | fmt

## Function Documentation

unsigned client_get_permission | ( | const struct client * | client | ) |

int client_get_uid | ( | const struct client * | client | ) |

returns the uid of the client process, or a negative value if the uid is unknown

bool client_idle_wait | ( | struct client * | client,
|  | unsigned | flags
| ) |  |

Checks whether the client has pending idle flags.

If yes, they are sent immediately and "true" is returned". If no, it puts the client into waiting mode and returns false.

bool client_is_expired | ( | const struct client * | client | ) |

void client_manager_deinit | ( | void |  | ) |

const char void client_manager_idle_add | ( | unsigned | flags | ) |

Adds the specified idle flags to all clients and immediately sends notifications to all waiting clients.

void client_manager_init | ( | void |  | ) |

void client_new | ( | int | fd,
|  | const struct sockaddr * | sa,
|  | size_t | sa_length,
|  | int | uid
| ) |  |

void client_puts | ( | struct client * | client,
|  | const char * | s
| ) |  |

Write a C string to the client.

void client_set_permission | ( | struct client * | client,
|  | unsigned | permission
| ) |  |

void client_vprintf | ( | struct client * | client,
|  | const char * | fmt,
|  | va_list | args
| ) |  |

Write a printf-like formatted string to the client.

G_GNUC_PRINTF | ( | 2 | ,
|  | 3 |
| ) |  |

Write a printf-like formatted string to the client.

## Variable Documentation

const char* fmt

Definition at line 61 of file client.h.